@anonymous-piwik-user opened this Issue on February 24th 2010

Below is the error we get. We have tried to apply the patch in ticket 821 with no luck. Can you attach the files affected, in whole, for our version in full so we can be sure the patch gets applied correctly. This is our version from the index file: @version $Id: index.php 951 2009-03-02 19:35:02Z matt $

Declaration of Piwik_Log_APICall::log() should be compatible with that of Piwik_Log::log()
in '/home/lgicom/public_html/visitors2/core/Log/APICall.php' at the line 52
#0 Piwik_ErrorHandler(2048, Declaration of Piwik_Log_APICall::log() should be compatible with that of Piwik_Log::log(), /home/lgicom/public_html/visitors2/core/Log/APICall.php, 52, Array ()) called at [(null):0]
#1 Piwik::createLogObject() called at [/home/lgicom/public_html/visitors2/core/Piwik.php:1201]
#2 Piwik::createLogObject() called at [/home/lgicom/public_html/visitors2/core/FrontController.php:235]
#3 Piwik_FrontController->init() called at [/home/lgicom/public_html/visitors2/index.php:50]

@anonymous-piwik-user commented on February 24th 2010

Attachment: core/Log/error.php
apicall prior to change.txt

@anonymous-piwik-user commented on February 24th 2010

Attachment: core/Log/APICall.php
apicall prior to change.2.txt

@anonymous-piwik-user commented on February 24th 2010

Attachment: core/Log/error.php, sorry, i think I sent same file twice, meant to send 2 files affected
ERROR-PHP-PRIOR-TO CHANGE.txt

@anonymous-piwik-user commented on February 24th 2010

Sorry, sent core/Log/APICall.php twice, ignore. I think these are the file affected, could you make the change to these files and send them back and add any other files affected. Our code is so different from what I can find in the change log, it does not fix the problem. Please email us with fix.

@robocoder commented on February 24th 2010 Contributor

Here's the latest version.

We've probably made a half-dozen changes over the past year to address compatibility issues with new incremental versions of PHP (e.g., 5.2.10, 5.2.11, 5.2.12, 5.3, and 5.3.1). Since these changes build upon the Piwik version du jour, we are unable to provide you with a customized patchset against Piwik 0.2.32.

@mattab commented on February 24th 2010 Owner

Also, it is generally considered impolite to write such requests as "Please email us with fix." but I will not elaborate on that one :)

This Issue was closed on March 19th 2010
Powered by GitHub Issue Mirror